On Windows, the binaries coming with version 0.5.5 of the plugin should work also for Gimp 2.8 if you install it into <home>\.gimp-2.8 (instead of <home>\.gimp-2.6).